igeo

## Class IFieldMesh

- java.lang.Object
- - igeo.IFieldMesh

-     public class IFieldMesh
      extends java.lang.Object

  create polygon mesh as sampled interface of equal intensity of fields
  Author:
    Satoru Sugihara

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IFieldMesh.EdgeVertex`
    `static class` | `IFieldMesh.VertexGrid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IFieldMesh()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IMesh` | `create(java.util.ArrayList<IFieldI> fields, double intensity, IVecI minPos, IVecI maxPos, int xnum, int ynum, int znum)` sample field at the given intensity and create polygon mesh
    `static IMesh` | `create(double intensity, IVecI minPos, IVecI maxPos, int xnum, int ynum, int znum)` sample field at the given intensity and create polygon mesh
    `static IMesh` | `create(IG ig, double intensity, IVecI minPos, IVecI maxPos, int xnum, int ynum, int znum)` sample field at the given intensity and create polygon mesh
    `(package private) static int[][][]` | `findEdge(double target, double... values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IFieldMesh

          public IFieldMesh()

  - ### Method Detail

    - #### create

          public static IMesh create(double intensity,
                                     IVecI minPos,
                                     IVecI maxPos,
                                     int xnum,
                                     int ynum,
                                     int znum)

      sample field at the given intensity and create polygon mesh

    - #### create

          public static IMesh create(IG ig,
                                     double intensity,
                                     IVecI minPos,
                                     IVecI maxPos,
                                     int xnum,
                                     int ynum,
                                     int znum)

      sample field at the given intensity and create polygon mesh

    - #### create

          public static IMesh create(java.util.ArrayList<IFieldI> fields,
                                     double intensity,
                                     IVecI minPos,
                                     IVecI maxPos,
                                     int xnum,
                                     int ynum,
                                     int znum)

      sample field at the given intensity and create polygon mesh

    - #### findEdge

          static int[][][] findEdge(double target,
                                    double... values)